package com.dgtis.dorm.manager.db.dao;

import com.dgtis.dorm.manager.db.domain.NewsComment;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface NewsCommentMapper {

    /**
     * 查询评论
     */
    List<NewsComment> selectByExample(NewsComment newsComment);

    /**
     * 评论列表
     * @param newsComment
     * @return
     */
    List<NewsComment> selectCommonList(NewsComment newsComment);
    
    /**
     * 查询子评论
     * @param commentfirstid
     * @return
     */
    List<NewsComment>  selectByZiExample(@Param("commentfirstid")Integer commentfirstid);

    /**
     * 根据id获取
     */
    NewsComment selectByPrimaryKey(Integer id);

    /**
     * 获取评论数量
     */
    long countByExample(NewsComment newsComment);

    /**
     * 评论数量
     * @param newsComment
     * @return
     */
    long countByComList(NewsComment newsComment);
    /**
     * 录入评论信息
     */
    int insertSelective(NewsComment newsComment);

    /**
     * 删除评论信息
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * 根据活动id删除评论
     * @param newId
     * @return
     */
    int deleteByNewId(@Param("newsId") int newsId);
}
